[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [K12OSN] 1st try samba/ldap = (missing perl Net::LDAP and perl Net::LDAP::LDIF)



Rolf A. Vaglid wrote:

John Baillie wrote:

Hello,

Trying out the SMB/LDAP

Following the instructions closely but installation of smbldap-tools
fails with:


perl Net::LDAP is needed by smbldap-tools perl Net::LDAP::LDIF is needed by smbldap-tools


Yet when I check with cpan it shows they are installed.


I've googled the heck out of this and have found vague references but
nothing that helped.

Only thing I can think of is the perl modules are a newer version than
what is expected by smbldap-tools-0.8.4-1

any ideas?

-john




I had the same problem, it seems the CPAN-modules are registered in your RPM-database.
I solved this by downloading a third party http://dag.wieers.com/packages/perl-Net-LDAP/perl-Net-LDAP-0.2701-1.rhfc1.dag.noarch.rpm


from http://dag.wieers.com/packages/perl-Net-LDAP/

Cheers
Rolf

Actually it's a matter of what is not registered in the RPM database.
No need to go outside of FC2 distro - just install perl-LDAP rpm and its pre-requisites. The easiest way to do that if you have a speedy Internet connection is 'yum install perl-LDAP'


Then to illustrate what is registered as provided by that rpm run this command (harmless):
rpm -q --provides perl-LDAP


Chris

--
-----------------------------------------------------------
  "Spend less!  Do more!  Go Open Source..." -- Dirigo.net
  Chris Johnson, RHCE #807000448202021




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]